## GtkShortcutsShortcut GtkShortcutsShortcut — Represents a keyboard shortcut in a GtkShortcutsWindow |

## Properties

GtkSizeGroup * | accel-size-group | Write
gchar * | accelerator | Read / Write
GtkTextDirection | direction | Read / Write
gchar * | title | Read / Write
GtkSizeGroup * | title-size-group | Write

## Types and Values

| GtkShortcutsShortcut

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkShortcutsShortcut

## Implemented Interfaces

GtkShortcutsShortcut implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkShortcutsShortcut represents a single keyboard shortcut with a short text. This widget is only meant to be used with GtkShortcutsWindow.

## Functions

## Types and Values

### GtkShortcutsShortcut

    typedef struct _GtkShortcutsShortcut GtkShortcutsShortcut;

## Property Details

### The `“accel-size-group”` property

      “accel-size-group”         GtkSizeGroup *

The size group for the accelerator portion of this shortcut.

This is used internally by GTK+, and must not be modified by applications.

Flags: Write

### The `“accelerator”` property

      “accelerator”              gchar *

The accelerator(s) represented by this object in (an extension of) the syntax understood by `gtk_accelerator_parse()`. Multiple accelerators can be specified by separating them with a space, but keep in mind that the available width is limited. It is also possible to specify ranges of shortcuts, using ... between the keys. Sequences of keys can be specified using a + between the keys.

Examples:

- A single shortcut: <ctl><alt>delete

- Two alternative shortcuts: <shift>a Home

- A range of shortcuts: <alt>1...<alt>9

- A sequence of key combinations: <ctl>c+<ctl>x

Note that < and > need to be escaped as &lt; and &gt; when used in .ui files.

Flags: Read / Write

Default value: NULL

### The `“direction”` property

      “direction”                GtkTextDirection

Direction.

Flags: Read / Write

Default value: GTK_TEXT_DIR_NONE

### The `“title”` property

      “title”                    gchar *

The textual description for the accelerators represented by this object. This should be a short string that can fit in a single line.

Flags: Read / Write

Default value: ""

### The `“title-size-group”` property

      “title-size-group”         GtkSizeGroup *

The size group for the textual portion of this shortcut.

This is used internally by GTK+, and must not be modified by applications.

Flags: Write